
QGIS Application - Bug report #19765

QGIS 3.2 crashed

2018-09-04 09:26 AM - Basim Rahmat-Alla

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27590

Description

User Feedback

Report Details

Crash ID: 05b3589a73b4211a6fb847d50c41e898ccc9085e

Stack Trace

QBasicMutex::unlockInternal :

QgsTask::processSubTasksForTermination :

QgsTask::cancel :

QgsTask::cancel :

QgsTask::subTaskStatusChanged :

QMetaCallEvent::placeMetaCall :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

2025-04-27 1/2



History

#1 - 2018-09-04 10:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from QGIS 3.2 crashed als ik een gml laag sleep naar een gpkg DB  to QGIS 3.2 crashed

Please add detailed steps on how replicate. Tickets must be filed in english.

#2 - 2018-09-04 11:42 AM - Basim Rahmat-Alla

Giovanni Manghi wrote:

Please add detailed steps on how replicate. Tickets must be filed in english.

Dear Giovanni,

Now my problem is solved. I restart qgis.

What i did before the crash was

open gml file with qgis 

create gpkg DB through the option on the left side

then i drag the gml layer to the db.gpkg

the crash popup appear with the request to make this issue and i did.

Now my problem is solved and i can't reproduce the problem with the same file and the same pc.

Thanks for your quick response.

#3 - 2018-09-04 12:04 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
